package com.tzy.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface CustomRetry {
    /**最大重试次数*/
    int maxAttempts() default 2;
    /**延迟时间*/
    long delay() default 1000;
    /**是否使用事务*/
    boolean isUseTran() default false;
    /**业务记录唯一key*/
    String recordKey();
}
